%define upstream_name    Class-MakeMethods
%define upstream_version 1.01

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 10

Summary: 	Generate common types of methods 
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Class-MakeMethods-1.009-Fix-building-on-Perl-without-dot-in-INC.patch

BuildArch: 	noarch


%global __requires_exclude perl\\(Class::MakeMethods::Template::Array\\)

%description
By passing arguments to "use Class::MakeMethods ..." statements, you can
select from a library of hundreds of common types of methods, which are
dynamically generated and installed as subroutines in your module,
simplifying the code for your class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
# use all defaults

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc README CHANGES META.yml
%{perl_vendorlib}/Class/MakeMethods*
%{perl_vendorlib}/Class/benchmark.pl
%{_mandir}/man*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1503570
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1282265
- Mageia 7 Mass Rebuild

* Mon Oct 09 2017 tv <tv> 1.10.0-8.mga7
+ Revision: 1170385
- Fix building on Perl without . in @INC

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1023980
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 942946
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 742579
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 683927
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 510090
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 364437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 25914
- mageia rebuild
- imported package perl-Class-MakeMethods


* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 393666
- update to 1.01
- using %%perl_convert_version
- fixed summary, license & description fields

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.009-3mdv2009.0
+ Revision: 256026
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.009-1mdv2008.1
+ Revision: 136684
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.009-1mdv2008.0
+ Revision: 67610
- use %%mkrel


* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.009-1mdk
- 1.009
- update docs
- fix perms

- use %%makeinstall_std macro

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.006-3mdk
- remove perl(Class::MakeMethods::Template::Array) dependency

* Tue May 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.006-2mdk
- fix install

* Thu May 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.006-1mdk
- from Peter Chen <petechen@netilla.com> :
	- Initial packaging.

